<?php
echo "<html><head><title>Imeji Uploads Log Table</title><link rel=\"stylesheet\" href=\"https://imeji.zxicar.us/assets/css/logfront.css\" /></head>\n\n";
echo "<body><p>For the actual log file itself please refer to the <a href=\"./uploads.log\">uploads.log</a> file. | <a href=\"./logs.php?rd:" . date('U') . "\">Refresh</a></p><table>\n\n";
echo "<tr><th>UNIX Time</th><th>Readable Time</th><th>Uploader IP</th><th>Uploaded File</th><th>Icarus Endpoint Version</th><th>Client User Agent</th><th>(Cont.)</th>\n\n";
$f = fopen("uploads.log", "r");
while (($line = fgetcsv($f)) !== false) {
        echo "<tr>";
        foreach ($line as $cell) {
                echo "<td>" . htmlspecialchars($cell) . "</td>";
        }
        echo "</tr>\n";
}
fclose($f);
echo "\n</table></body></html>";